```go
package main

import (
    // External
    werr "git.gibonuddevalla.se/go/wrappederror"

    // Standard
    "errors"
    "fmt"
)

func errorHandler(err werr.Error) {
    // For example print or log error to file
    fmt.Printf("ERROR - %s\n", err)
}

func foo() {
    werr.SetLogCallback(errorHandler)

    err := errors.New("foobar 1")
    err1 := werr.Wrap(err)

    err2 := werr.New("foobar 2")
}
```
